Changeset 1023 for trunk


Ignore:
Timestamp:
Nov 21, 2013 2:58:13 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
trunk/Couenne
Files:
23 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.am

    r942 r1023  
    1414
    1515SUBDIRS = src/util \
    16           src/expression
    17 
    18 if COIN_HAS_ASL
    19 SUBDIRS += src/readnl
    20 endif
    21 
    22 SUBDIRS += src/standardize \
     16          src/expression \
     17          src/standardize \
    2318          src/problem \
    2419          src/bound_tightening \
     
    3126          src/cut/sdpcuts \
    3227          src/cut/crossconv \
    33           src \
    34           src/main
     28          src
     29
     30if COIN_HAS_ASL
     31SUBDIRS += src/readnl
     32endif
     33
     34SUBDIRS += src/main
    3535
    3636#         src/cut/ellipcuts
  • trunk/Couenne/Makefile.in

    r1010 r1023  
    9999ETAGS = etags
    100100CTAGS = ctags
    101 DIST_SUBDIRS = src/util src/expression src/readnl src/standardize \
    102         src/problem src/bound_tightening \
    103         src/bound_tightening/twoImpliedBT src/convex src/branch \
    104         src/disjunctive src/interfaces src/heuristics src/cut/sdpcuts \
    105         src/cut/crossconv src src/main test
     101DIST_SUBDIRS = src/util src/expression src/standardize src/problem \
     102        src/bound_tightening src/bound_tightening/twoImpliedBT \
     103        src/convex src/branch src/disjunctive src/interfaces \
     104        src/heuristics src/cut/sdpcuts src/cut/crossconv src \
     105        src/readnl src/main test
    106106DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    107107distdir = $(PACKAGE)-$(VERSION)
     
    205205DEFS = @DEFS@
    206206DEPDIR = @DEPDIR@
     207DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     208DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    207209ECHO = @ECHO@
    208210ECHO_C = @ECHO_C@
     
    352354#                          Subdirectories                              #
    353355########################################################################
    354 SUBDIRS = src/util src/expression $(am__append_1) src/standardize \
    355         src/problem src/bound_tightening \
    356         src/bound_tightening/twoImpliedBT src/convex src/branch \
    357         src/disjunctive src/interfaces src/heuristics src/cut/sdpcuts \
    358         src/cut/crossconv src src/main $(am__append_2)
     356SUBDIRS = src/util src/expression src/standardize src/problem \
     357        src/bound_tightening src/bound_tightening/twoImpliedBT \
     358        src/convex src/branch src/disjunctive src/interfaces \
     359        src/heuristics src/cut/sdpcuts src/cut/crossconv src \
     360        $(am__append_1) src/main $(am__append_2)
    359361
    360362########################################################################
  • trunk/Couenne/configure

    r1010 r1023  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    17481748fi;
    17491749
     1750  if test "$enable_msvc" = MD; then
     1751    enable_shared=yes
     1752    enable_msvc=yes
     1753  fi
     1754
    17501755  if test "$enable_msvc" = yes; then
    17511756    case $build in
     
    17701775   fi
    17711776 fi
    1772 
    1773 
    1774 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1775 if test "${enable_static_standardlibs+set}" = set; then
    1776   enableval="$enable_static_standardlibs"
    1777   case "$enableval" in
    1778      no | yes | auto ) ;;
    1779      *)
    1780        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1781 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1782    { (exit 1); exit 1; }; } ;;
    1783    esac
    1784    use_static_standardlibs=$enableval
    1785 else
    1786   use_static_standardlibs=no
    1787 fi;
    1788 
    17891777
    17901778
     
    26302618    fi ;;
    26312619  * )
    2632     CYGPATH_W=echo
     2620    if test x"$CYGPATH_W" = x ; then
     2621      CYGPATH_W=echo
     2622    fi
    26332623    ;;
    26342624esac
     
    28752865    CFLAGS="$OPT_CFLAGS"
    28762866  fi
    2877 
    28782867else
    28792868  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    28852874  fi
    28862875fi
    2887 
    2888 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    2889 
    2890 case "$CFLAGS" in
    2891   *-mno-cygwin*)
    2892     if test x${CPPFLAGS+set} != xset ; then
    2893       CPPFLAGS="-mno-cygwin"
    2894     else
    2895       case "$CPPFLAGS" in
    2896         *-mno-cygwin*)
    2897           ;;
    2898         *)
    2899           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    2900           ;;
    2901       esac
    2902     fi ;;
    2903 esac
    29042876
    29052877# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     
    30433015esac
    30443016
    3045 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3046 if test x$use_static_standardlibs != xno ; then
    3047   case $build in
    3048     *-mingw*)
    3049       static_standardlib_flag=-static
    3050       ;;
    3051     *)
    3052       static_standardlib_flag=-static-libgcc
    3053       ;;
    3054   esac
    3055   case " $LDFLAGS " in
    3056     *" $static_standardlib_flag "* ) ;;
    3057     *)
    3058     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3059 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3060     coin_save_LDFLAGS="$LDFLAGS"
    3061     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3062     cat >conftest.$ac_ext <<_ACEOF
    3063 /* confdefs.h.  */
    3064 _ACEOF
    3065 cat confdefs.h >>conftest.$ac_ext
    3066 cat >>conftest.$ac_ext <<_ACEOF
    3067 /* end confdefs.h.  */
    3068 
    3069 int
    3070 main ()
    3071 {
    3072 int i=0;
    3073   ;
    3074   return 0;
    3075 }
    3076 _ACEOF
    3077 rm -f conftest.$ac_objext conftest$ac_exeext
    3078 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3079   (eval $ac_link) 2>conftest.er1
    3080   ac_status=$?
    3081   grep -v '^ *+' conftest.er1 >conftest.err
    3082   rm -f conftest.er1
    3083   cat conftest.err >&5
    3084   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3085   (exit $ac_status); } &&
    3086          { ac_try='test -z "$ac_c_werror_flag"
    3087                          || test ! -s conftest.err'
    3088   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3089   (eval $ac_try) 2>&5
    3090   ac_status=$?
    3091   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3092   (exit $ac_status); }; } &&
    3093          { ac_try='test -s conftest$ac_exeext'
    3094   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3095   (eval $ac_try) 2>&5
    3096   ac_status=$?
    3097   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3098   (exit $ac_status); }; }; then
    3099   echo "$as_me:$LINENO: result: yes" >&5
    3100 echo "${ECHO_T}yes" >&6
    3101 else
    3102   echo "$as_me: failed program was:" >&5
    3103 sed 's/^/| /' conftest.$ac_ext >&5
    3104 
    3105 echo "$as_me:$LINENO: result: no" >&5
    3106 echo "${ECHO_T}no" >&6
    3107        LDFLAGS="$coin_save_LDFLAGS"
    3108        if test $use_static_standardlibs = yes ; then
    3109          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3110 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3111    { (exit 1); exit 1; }; }
    3112        fi
    3113 
    3114 fi
    3115 rm -f conftest.err conftest.$ac_objext \
    3116       conftest$ac_exeext conftest.$ac_ext
    3117     ;;
    3118   esac
    3119 fi
    3120 
    31213017ac_ext=c
    31223018ac_cpp='$CPP $CPPFLAGS'
     
    31393035  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    31403036 esac
    3141 
    31423037
    31433038
     
    33553250
    33563251# Provide some information about the compiler.
    3357 echo "$as_me:3357:" \
     3252echo "$as_me:3252:" \
    33583253     "checking for Fortran 77 compiler version" >&5
    33593254ac_compiler=`set X $ac_compile; echo $2`
     
    36913586    FFLAGS="$OPT_FFLAGS"
    36923587  fi
    3693 
    36943588else
    36953589  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    37013595  fi
    37023596fi
    3703 
    3704 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    3705 case "$FFLAGS" in
    3706   *-mno-cygwin*)
    3707     if test x${CPPFLAGS+set} != xset ; then
    3708       CPPFLAGS="-mno-cygwin"
    3709     else
    3710       case "$CPPFLAGS" in
    3711         *-mno-cygwin*)
    3712           ;;
    3713         *)
    3714           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3715           ;;
    3716       esac
    3717     fi ;;
    3718 esac
    37193597
    37203598# Try if FFLAGS works
     
    38333711esac
    38343712
    3835 # check whether to add flag for static linking against standard libraries to LDFLAGS
    3836 if test x$use_static_standardlibs != xno ; then
    3837   case $build in
    3838     *-mingw*)
    3839       static_standardlib_flag=-static
    3840       ;;
    3841     *)
    3842       static_standardlib_flag=-static-libgfortran
    3843       ;;
    3844   esac
    3845   case " $LDFLAGS " in
    3846     *" $static_standardlib_flag "* ) ;;
    3847     *)
    3848     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3849 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3850     coin_save_LDFLAGS="$LDFLAGS"
    3851     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3852     cat >conftest.$ac_ext <<_ACEOF
    3853       program main
    3854       integer i
    3855       end
    3856 _ACEOF
    3857 rm -f conftest.$ac_objext conftest$ac_exeext
    3858 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3859   (eval $ac_link) 2>conftest.er1
    3860   ac_status=$?
    3861   grep -v '^ *+' conftest.er1 >conftest.err
    3862   rm -f conftest.er1
    3863   cat conftest.err >&5
    3864   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3865   (exit $ac_status); } &&
    3866          { ac_try='test -z "$ac_f77_werror_flag"
    3867                          || test ! -s conftest.err'
    3868   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3869   (eval $ac_try) 2>&5
    3870   ac_status=$?
    3871   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3872   (exit $ac_status); }; } &&
    3873          { ac_try='test -s conftest$ac_exeext'
    3874   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3875   (eval $ac_try) 2>&5
    3876   ac_status=$?
    3877   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3878   (exit $ac_status); }; }; then
    3879   echo "$as_me:$LINENO: result: yes" >&5
    3880 echo "${ECHO_T}yes" >&6
    3881 else
    3882   echo "$as_me: failed program was:" >&5
    3883 sed 's/^/| /' conftest.$ac_ext >&5
    3884 
    3885 echo "$as_me:$LINENO: result: no" >&5
    3886 echo "${ECHO_T}no" >&6
    3887        LDFLAGS="$coin_save_LDFLAGS"
    3888        if test $use_static_standardlibs = yes ; then
    3889          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3890 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3891    { (exit 1); exit 1; }; }
    3892        fi
    3893 
    3894 fi
    3895 rm -f conftest.err conftest.$ac_objext \
    3896       conftest$ac_exeext conftest.$ac_ext
    3897     ;;
    3898   esac
    3899 fi
    3900 
    39013713ac_ext=c
    39023714ac_cpp='$CPP $CPPFLAGS'
     
    39593771ac_save_FFLAGS=$FFLAGS
    39603772FFLAGS="$FFLAGS $ac_verb"
    3961 (eval echo $as_me:3961: \"$ac_link\") >&5
     3773(eval echo $as_me:3773: \"$ac_link\") >&5
    39623774ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39633775echo "$ac_f77_v_output" >&5
     
    40373849ac_save_FFLAGS=$FFLAGS
    40383850FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4039 (eval echo $as_me:4039: \"$ac_link\") >&5
     3851(eval echo $as_me:3851: \"$ac_link\") >&5
    40403852ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40413853echo "$ac_f77_v_output" >&5
     
    42224034        -lcrt*.o) ;;
    42234035        -lcygwin) ;;
     4036        -lgcc*)   ;;
    42244037               *) my_flibs="$my_flibs $flag" ;;
    42254038      esac
     
    50104823 #Let's try if that overcomes configuration problem with VC++ 6.0
    50114824
    5012 
    50134825ac_ext=cc
    50144826ac_cpp='$CXXCPP $CPPFLAGS'
     
    55435355    fi ;;
    55445356  * )
    5545     CYGPATH_W=echo
     5357    if test x"$CYGPATH_W" = x ; then
     5358      CYGPATH_W=echo
     5359    fi
    55465360    ;;
    55475361esac
     
    58085622fi
    58095623
    5810 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    5811 
    5812 case "$CXXFLAGS" in
    5813   *-mno-cygwin*)
    5814     if test x${CPPFLAGS+set} != xset ; then
    5815       CPPFLAGS="-mno-cygwin"
    5816     else
    5817       case "$CPPFLAGS" in
    5818         *-mno-cygwin*)
    5819           ;;
    5820         *)
    5821           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    5822           ;;
    5823       esac
    5824     fi ;;
    5825 esac
    5826 
    58275624# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    58285625if test x$COIN_PRJCT != x; then
     
    59815778esac
    59825779
    5983 # check whether to add flag for static linking against standard libraries to LDFLAGS
    5984 if test x$use_static_standardlibs != xno ; then
    5985   case $build in
    5986     *-mingw*)
    5987       static_standardlib_flag=-static
    5988       ;;
    5989     *)
    5990       static_standardlib_flag=-static-libstdc++
    5991       ;;
    5992   esac
    5993   case " $LDFLAGS " in
    5994     *" $static_standardlib_flag "* ) ;;
    5995     *)
    5996     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    5997 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    5998     coin_save_LDFLAGS="$LDFLAGS"
    5999     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    6000     cat >conftest.$ac_ext <<_ACEOF
    6001 /* confdefs.h.  */
    6002 _ACEOF
    6003 cat confdefs.h >>conftest.$ac_ext
    6004 cat >>conftest.$ac_ext <<_ACEOF
    6005 /* end confdefs.h.  */
    6006 
    6007 #ifdef F77_DUMMY_MAIN
    6008 
    6009 #  ifdef __cplusplus
    6010      extern "C"
    6011 #  endif
    6012    int F77_DUMMY_MAIN() { return 1; }
    6013 
    6014 #endif
    6015 int
    6016 main ()
    6017 {
    6018 int i=0;
    6019   ;
    6020   return 0;
    6021 }
    6022 _ACEOF
    6023 rm -f conftest.$ac_objext conftest$ac_exeext
    6024 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6025   (eval $ac_link) 2>conftest.er1
    6026   ac_status=$?
    6027   grep -v '^ *+' conftest.er1 >conftest.err
    6028   rm -f conftest.er1
    6029   cat conftest.err >&5
    6030   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6031   (exit $ac_status); } &&
    6032          { ac_try='test -z "$ac_cxx_werror_flag"
    6033                          || test ! -s conftest.err'
    6034   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6035   (eval $ac_try) 2>&5
    6036   ac_status=$?
    6037   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6038   (exit $ac_status); }; } &&
    6039          { ac_try='test -s conftest$ac_exeext'
    6040   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6041   (eval $ac_try) 2>&5
    6042   ac_status=$?
    6043   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6044   (exit $ac_status); }; }; then
    6045   echo "$as_me:$LINENO: result: yes" >&5
    6046 echo "${ECHO_T}yes" >&6
    6047 else
    6048   echo "$as_me: failed program was:" >&5
    6049 sed 's/^/| /' conftest.$ac_ext >&5
    6050 
    6051 echo "$as_me:$LINENO: result: no" >&5
    6052 echo "${ECHO_T}no" >&6
    6053        LDFLAGS="$coin_save_LDFLAGS"
    6054        if test $use_static_standardlibs = yes ; then
    6055          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    6056 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    6057    { (exit 1); exit 1; }; }
    6058        fi
    6059 
    6060 fi
    6061 rm -f conftest.err conftest.$ac_objext \
    6062       conftest$ac_exeext conftest.$ac_ext
    6063     ;;
    6064   esac
    6065 fi
    6066 
    60675780ac_ext=c
    60685781ac_cpp='$CPP $CPPFLAGS'
     
    60745787
    60755788# Get the name of the C compiler and appropriate compiler options
    6076 
    60775789
    60785790
     
    67556467    fi ;;
    67566468  * )
    6757     CYGPATH_W=echo
     6469    if test x"$CYGPATH_W" = x ; then
     6470      CYGPATH_W=echo
     6471    fi
    67586472    ;;
    67596473esac
     
    70166730    CFLAGS="$OPT_CFLAGS"
    70176731  fi
    7018 
    70196732else
    70206733  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    70266739  fi
    70276740fi
    7028 
    7029 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    7030 
    7031 case "$CFLAGS" in
    7032   *-mno-cygwin*)
    7033     if test x${CPPFLAGS+set} != xset ; then
    7034       CPPFLAGS="-mno-cygwin"
    7035     else
    7036       case "$CPPFLAGS" in
    7037         *-mno-cygwin*)
    7038           ;;
    7039         *)
    7040           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    7041           ;;
    7042       esac
    7043     fi ;;
    7044 esac
    70456741
    70466742# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     
    72006896esac
    72016897
    7202 # check whether to add flags for static linking against standard libraries to LDFLAGS
    7203 if test x$use_static_standardlibs != xno ; then
    7204   case $build in
    7205     *-mingw*)
    7206       static_standardlib_flag=-static
    7207       ;;
    7208     *)
    7209       static_standardlib_flag=-static-libgcc
    7210       ;;
    7211   esac
    7212   case " $LDFLAGS " in
    7213     *" $static_standardlib_flag "* ) ;;
    7214     *)
    7215     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    7216 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    7217     coin_save_LDFLAGS="$LDFLAGS"
    7218     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    7219     cat >conftest.$ac_ext <<_ACEOF
    7220 /* confdefs.h.  */
    7221 _ACEOF
    7222 cat confdefs.h >>conftest.$ac_ext
    7223 cat >>conftest.$ac_ext <<_ACEOF
    7224 /* end confdefs.h.  */
    7225 
    7226 #ifdef F77_DUMMY_MAIN
    7227 
    7228 #  ifdef __cplusplus
    7229      extern "C"
    7230 #  endif
    7231    int F77_DUMMY_MAIN() { return 1; }
    7232 
    7233 #endif
    7234 int
    7235 main ()
    7236 {
    7237 int i=0;
    7238   ;
    7239   return 0;
    7240 }
    7241 _ACEOF
    7242 rm -f conftest.$ac_objext conftest$ac_exeext
    7243 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7244   (eval $ac_link) 2>conftest.er1
    7245   ac_status=$?
    7246   grep -v '^ *+' conftest.er1 >conftest.err
    7247   rm -f conftest.er1
    7248   cat conftest.err >&5
    7249   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7250   (exit $ac_status); } &&
    7251          { ac_try='test -z "$ac_c_werror_flag"
    7252                          || test ! -s conftest.err'
    7253   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7254   (eval $ac_try) 2>&5
    7255   ac_status=$?
    7256   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7257   (exit $ac_status); }; } &&
    7258          { ac_try='test -s conftest$ac_exeext'
    7259   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7260   (eval $ac_try) 2>&5
    7261   ac_status=$?
    7262   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7263   (exit $ac_status); }; }; then
    7264   echo "$as_me:$LINENO: result: yes" >&5
    7265 echo "${ECHO_T}yes" >&6
    7266 else
    7267   echo "$as_me: failed program was:" >&5
    7268 sed 's/^/| /' conftest.$ac_ext >&5
    7269 
    7270 echo "$as_me:$LINENO: result: no" >&5
    7271 echo "${ECHO_T}no" >&6
    7272        LDFLAGS="$coin_save_LDFLAGS"
    7273        if test $use_static_standardlibs = yes ; then
    7274          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    7275 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    7276    { (exit 1); exit 1; }; }
    7277        fi
    7278 
    7279 fi
    7280 rm -f conftest.err conftest.$ac_objext \
    7281       conftest$ac_exeext conftest.$ac_ext
    7282     ;;
    7283   esac
    7284 fi
    7285 
    72866898ac_ext=c
    72876899ac_cpp='$CPP $CPPFLAGS'
     
    73206932            ;;
    73216933          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    7322             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    7323 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     6934            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     6935echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    73246936            ;;
    73256937          *)
     
    85018113
    85028114LIBTOOL=
    8503 if test -r ../libtool; then
     8115if test -f ../libtool; then
    85048116  coin_config_dir=..
    85058117  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    85068118fi
    85078119if test "x$LIBTOOL" = x; then
    8508   if test -r ../../libtool; then
     8120  if test -f ../../libtool; then
    85098121    coin_config_dir=../..
    85108122    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    90528664*-*-irix6*)
    90538665  # Find out which ABI we are using.
    9054   echo '#line 9054 "configure"' > conftest.$ac_ext
     8666  echo '#line 8666 "configure"' > conftest.$ac_ext
    90558667  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    90568668  (eval $ac_compile) 2>&5
     
    1103210644   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1103310645   -e 's:$: $lt_compiler_flag:'`
    11034    (eval echo "\"\$as_me:11034: $lt_compile\"" >&5)
     10646   (eval echo "\"\$as_me:10646: $lt_compile\"" >&5)
    1103510647   (eval "$lt_compile" 2>conftest.err)
    1103610648   ac_status=$?
    1103710649   cat conftest.err >&5
    11038    echo "$as_me:11038: \$? = $ac_status" >&5
     10650   echo "$as_me:10650: \$? = $ac_status" >&5
    1103910651   if (exit $ac_status) && test -s "$ac_outfile"; then
    1104010652     # The compiler can only warn and ignore the option if not recognized
     
    1130010912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1130110913   -e 's:$: $lt_compiler_flag:'`
    11302    (eval echo "\"\$as_me:11302: $lt_compile\"" >&5)
     10914   (eval echo "\"\$as_me:10914: $lt_compile\"" >&5)
    1130310915   (eval "$lt_compile" 2>conftest.err)
    1130410916   ac_status=$?
    1130510917   cat conftest.err >&5
    11306    echo "$as_me:11306: \$? = $ac_status" >&5
     10918   echo "$as_me:10918: \$? = $ac_status" >&5
    1130710919   if (exit $ac_status) && test -s "$ac_outfile"; then
    1130810920     # The compiler can only warn and ignore the option if not recognized
     
    1140411016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1140511017   -e 's:$: $lt_compiler_flag:'`
    11406    (eval echo "\"\$as_me:11406: $lt_compile\"" >&5)
     11018   (eval echo "\"\$as_me:11018: $lt_compile\"" >&5)
    1140711019   (eval "$lt_compile" 2>out/conftest.err)
    1140811020   ac_status=$?
    1140911021   cat out/conftest.err >&5
    11410    echo "$as_me:11410: \$? = $ac_status" >&5
     11022   echo "$as_me:11022: \$? = $ac_status" >&5
    1141111023   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1141211024   then
     
    1382113433  lt_status=$lt_dlunknown
    1382213434  cat > conftest.$ac_ext <<EOF
    13823 #line 13823 "configure"
     13435#line 13435 "configure"
    1382413436#include "confdefs.h"
    1382513437
     
    1392113533  lt_status=$lt_dlunknown
    1392213534  cat > conftest.$ac_ext <<EOF
    13923 #line 13923 "configure"
     13535#line 13535 "configure"
    1392413536#include "confdefs.h"
    1392513537
     
    1628115893   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1628215894   -e 's:$: $lt_compiler_flag:'`
    16283    (eval echo "\"\$as_me:16283: $lt_compile\"" >&5)
     15895   (eval echo "\"\$as_me:15895: $lt_compile\"" >&5)
    1628415896   (eval "$lt_compile" 2>conftest.err)
    1628515897   ac_status=$?
    1628615898   cat conftest.err >&5
    16287    echo "$as_me:16287: \$? = $ac_status" >&5
     15899   echo "$as_me:15899: \$? = $ac_status" >&5
    1628815900   if (exit $ac_status) && test -s "$ac_outfile"; then
    1628915901     # The compiler can only warn and ignore the option if not recognized
     
    1638515997   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638615998   -e 's:$: $lt_compiler_flag:'`
    16387    (eval echo "\"\$as_me:16387: $lt_compile\"" >&5)
     15999   (eval echo "\"\$as_me:15999: $lt_compile\"" >&5)
    1638816000   (eval "$lt_compile" 2>out/conftest.err)
    1638916001   ac_status=$?
    1639016002   cat out/conftest.err >&5
    16391    echo "$as_me:16391: \$? = $ac_status" >&5
     16003   echo "$as_me:16003: \$? = $ac_status" >&5
    1639216004   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1639316005   then
     
    1795517567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795617568   -e 's:$: $lt_compiler_flag:'`
    17957    (eval echo "\"\$as_me:17957: $lt_compile\"" >&5)
     17569   (eval echo "\"\$as_me:17569: $lt_compile\"" >&5)
    1795817570   (eval "$lt_compile" 2>conftest.err)
    1795917571   ac_status=$?
    1796017572   cat conftest.err >&5
    17961    echo "$as_me:17961: \$? = $ac_status" >&5
     17573   echo "$as_me:17573: \$? = $ac_status" >&5
    1796217574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796317575     # The compiler can only warn and ignore the option if not recognized
     
    1805917671   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1806017672   -e 's:$: $lt_compiler_flag:'`
    18061    (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
     17673   (eval echo "\"\$as_me:17673: $lt_compile\"" >&5)
    1806217674   (eval "$lt_compile" 2>out/conftest.err)
    1806317675   ac_status=$?
    1806417676   cat out/conftest.err >&5
    18065    echo "$as_me:18065: \$? = $ac_status" >&5
     17677   echo "$as_me:17677: \$? = $ac_status" >&5
    1806617678   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1806717679   then
     
    2026619878   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2026719879   -e 's:$: $lt_compiler_flag:'`
    20268    (eval echo "\"\$as_me:20268: $lt_compile\"" >&5)
     19880   (eval echo "\"\$as_me:19880: $lt_compile\"" >&5)
    2026919881   (eval "$lt_compile" 2>conftest.err)
    2027019882   ac_status=$?
    2027119883   cat conftest.err >&5
    20272    echo "$as_me:20272: \$? = $ac_status" >&5
     19884   echo "$as_me:19884: \$? = $ac_status" >&5
    2027319885   if (exit $ac_status) && test -s "$ac_outfile"; then
    2027419886     # The compiler can only warn and ignore the option if not recognized
     
    2053420146   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2053520147   -e 's:$: $lt_compiler_flag:'`
    20536    (eval echo "\"\$as_me:20536: $lt_compile\"" >&5)
     20148   (eval echo "\"\$as_me:20148: $lt_compile\"" >&5)
    2053720149   (eval "$lt_compile" 2>conftest.err)
    2053820150   ac_status=$?
    2053920151   cat conftest.err >&5
    20540    echo "$as_me:20540: \$? = $ac_status" >&5
     20152   echo "$as_me:20152: \$? = $ac_status" >&5
    2054120153   if (exit $ac_status) && test -s "$ac_outfile"; then
    2054220154     # The compiler can only warn and ignore the option if not recognized
     
    2063820250   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2063920251   -e 's:$: $lt_compiler_flag:'`
    20640    (eval echo "\"\$as_me:20640: $lt_compile\"" >&5)
     20252   (eval echo "\"\$as_me:20252: $lt_compile\"" >&5)
    2064120253   (eval "$lt_compile" 2>out/conftest.err)
    2064220254   ac_status=$?
    2064320255   cat out/conftest.err >&5
    20644    echo "$as_me:20644: \$? = $ac_status" >&5
     20256   echo "$as_me:20256: \$? = $ac_status" >&5
    2064520257   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2064620258   then
     
    2335322965    # Here we need to check if -m32 is specified.  If so, we need to correct
    2335422966    # sys_lib_search_path_spec
    23355     *x86_64-*)
    23356       if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
    23357         { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
    23358 echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
    23359         sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
    23360         mv conftest.bla libtool
    23361         chmod 755 libtool
    23362       fi
    23363       ;;
    23364 
    23365     *-solaris*)
    23366        if test "$GCC" = yes && \
    23367      (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm64' >/dev/null 2>&1) ; then
    23368     hdwisa=`isainfo | sed -e 's/\([^ ]*\) .*$/\1/'`
    23369     if `$EGREP 'sys_lib_search_path_spec=' libtool | $EGREP -v $hdwisa >/dev/null 2>&1` ; then
    23370       { echo "$as_me:$LINENO: Applying patches to libtool for 64-bit GCC compilation" >&5
    23371 echo "$as_me: Applying patches to libtool for 64-bit GCC compilation" >&6;}
    23372       fixlibtmp=`$CC -m64 -print-search-dirs | $EGREP '^libraries:'`
    23373       fixlibtmp=`echo $fixlibtmp | sed -e 's/libraries: =//' -e 's/:/ /g'`
    23374       if `echo "$fixlibtmp" | $EGREP -v $hdwisa  >/dev/null 2>&1` ; then
    23375         # AC_MSG_NOTICE(Compensating for broken gcc)
    23376         for lib in $fixlibtmp ; do
    23377           if test -d "${lib}${hdwisa}" ; then
    23378             syslibpath64="$syslibpath64 ${lib}${hdwisa}/"
    23379           fi
    23380         done
    23381         syslibpath64="${syslibpath64} ${fixlibtmp}"
    23382       else
    23383         syslibpath64="$fixlibtmp"
    23384       fi
    23385       sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="'"$syslibpath64"'"|' libtool > conftest.bla
    23386       mv conftest.bla libtool
    23387       chmod 755 libtool
    23388     fi
    23389     # AC_MSG_NOTICE(Result is )
    23390     # $EGREP 'sys_lib_search_path_spec=' libtool
    23391   fi
    23392       ;;
    23393     # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    2339422967    *-cygwin* | *-mingw*)
    2339522968       case "$CXX" in
     
    2343223005
    2343323006      ;;
     23007    *x86_64-*)
     23008      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     23009        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     23010echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     23011        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     23012        mv conftest.bla libtool
     23013        chmod 755 libtool
     23014      fi
     23015      ;;
     23016
     23017    *-solaris*)
     23018       if test "$GCC" = yes && \
     23019     (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm64' >/dev/null 2>&1) ; then
     23020    hdwisa=`isainfo | sed -e 's/\([^ ]*\) .*$/\1/'`
     23021    if `$EGREP 'sys_lib_search_path_spec=' libtool | $EGREP -v $hdwisa >/dev/null 2>&1` ; then
     23022      { echo "$as_me:$LINENO: Applying patches to libtool for 64-bit GCC compilation" >&5
     23023echo "$as_me: Applying patches to libtool for 64-bit GCC compilation" >&6;}
     23024      fixlibtmp=`$CC -m64 -print-search-dirs | $EGREP '^libraries:'`
     23025      fixlibtmp=`echo $fixlibtmp | sed -e 's/libraries: =//' -e 's/:/ /g'`
     23026      if `echo "$fixlibtmp" | $EGREP -v $hdwisa  >/dev/null 2>&1` ; then
     23027        # AC_MSG_NOTICE(Compensating for broken gcc)
     23028        for lib in $fixlibtmp ; do
     23029          if test -d "${lib}${hdwisa}" ; then
     23030            syslibpath64="$syslibpath64 ${lib}${hdwisa}/"
     23031          fi
     23032        done
     23033        syslibpath64="${syslibpath64} ${fixlibtmp}"
     23034      else
     23035        syslibpath64="$fixlibtmp"
     23036      fi
     23037      sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="'"$syslibpath64"'"|' libtool > conftest.bla
     23038      mv conftest.bla libtool
     23039      chmod 755 libtool
     23040    fi
     23041    # AC_MSG_NOTICE(Result is )
     23042    # $EGREP 'sys_lib_search_path_spec=' libtool
     23043  fi
     23044      ;;
     23045    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    2343423046    *-darwin*)
    2343523047      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2353923151# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2354023152
     23153# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     23154if test "${enable_dependency_linking+set}" = set; then
     23155  enableval="$enable_dependency_linking"
     23156  dependency_linking="$enableval"
     23157else
     23158  dependency_linking=no
     23159fi;
     23160
    2354123161# ToDo
    2354223162# For now, don't use the -no-undefined flag, since the Makefiles are
    2354323163# not yet set up that way.  But we need to fix this, when we want
    2354423164# to comile DLLs under Windows.
    23545 LT_LDFLAGS=
     23165if test "$dependency_linking" = yes ;
     23166then
     23167  LT_LDFLAGS="-no-undefined"
     23168else
     23169  LT_LDFLAGS=
     23170fi
     23171
     23172
     23173
     23174if test "$dependency_linking" = yes; then
     23175  DEPENDENCY_LINKING_TRUE=
     23176  DEPENDENCY_LINKING_FALSE='#'
     23177else
     23178  DEPENDENCY_LINKING_TRUE='#'
     23179  DEPENDENCY_LINKING_FALSE=
     23180fi
     23181
    2354623182
    2354723183# Check if we want to set the library version
     
    2406323699  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2406423700  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    24065   if test -e ../coin_subdirs.txt ; then
     23701  if test -f ../coin_subdirs.txt ; then
    2406623702    for i in `cat ../coin_subdirs.txt` ; do
    2406723703      if test -d ../$i ; then
     
    2407423710  fi
    2407523711
    24076   if test -e ../../coin_subdirs.txt ; then
     23712  if test -f ../../coin_subdirs.txt ; then
    2407723713    for i in `cat ../../coin_subdirs.txt` ; do
    2407823714      if test -d ../../$i ; then
     
    2997629612Usually this means the macro was only invoked conditionally." >&5
    2997729613echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     29614Usually this means the macro was only invoked conditionally." >&2;}
     29615   { (exit 1); exit 1; }; }
     29616fi
     29617if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     29618  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     29619Usually this means the macro was only invoked conditionally." >&5
     29620echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2997829621Usually this means the macro was only invoked conditionally." >&2;}
    2997929622   { (exit 1); exit 1; }; }
     
    3076530408s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    3076630409s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     30410s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     30411s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    3076730412s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3076830413s,@PKG_CONFIG@,$PKG_CONFIG,;t t
  • trunk/Couenne/src/Makefile.am

    r908 r1023  
    1919lib_LTLIBRARIES = libCouenne.la
    2020
    21 libCouenne_la_SOURCES =
     21# List all source files, including headers
     22libCouenne_la_SOURCES = \
     23        main/CouenneBab.cpp \
     24        main/BonCouenneSetup.cpp \
     25        main/SmartAslDestr.cpp
    2226
    23 libCouenne_la_LIBADD = \
     27# List all additionally required libraries
     28libCouenne_la_LIBADD = $(libCouenne_la_DEPENDENCIES)
     29if DEPENDENCY_LINKING
     30libCouenne_la_LIBADD += $(COUENNELIB_LIBS)
     31endif
     32
     33# List all dependency libraries
     34libCouenne_la_DEPENDENCIES = \
    2435        ./interfaces/libCouenneInterfaces.la \
    2536        ./heuristics/libCouenneHeuristics.la \
     
    3950#       ./readnl/libCouenneReadnl.la
    4051
    41 libCouenne_la_DEPENDENCIES = $(libCouenne_la_LIBADD)
    42 
    4352# This is for libtool
    4453libCouenne_la_LDFLAGS = $(LT_LDFLAGS)
     
    5160# "cygpath" stuff is necessary to compile with native compilers on Windows.
    5261
    53 AM_CPPFLAGS =
     62AM_CPPFLAGS = \
     63        -I`$(CYGPATH_W) $(srcdir)/convex` \
     64        -I`$(CYGPATH_W) $(srcdir)/interfaces` \
     65        -I`$(CYGPATH_W) $(srcdir)/heuristics` \
     66        -I`$(CYGPATH_W) $(srcdir)/expression` \
     67        -I`$(CYGPATH_W) $(srcdir)/expression/operators` \
     68        -I`$(CYGPATH_W) $(srcdir)/expression/partial` \
     69        -I`$(CYGPATH_W) $(srcdir)/disjunctive` \
     70        -I`$(CYGPATH_W) $(srcdir)/main` \
     71        -I`$(CYGPATH_W) $(srcdir)/problem` \
     72        -I`$(CYGPATH_W) $(srcdir)/branch` \
     73        -I`$(CYGPATH_W) $(srcdir)/cut/sdpcuts` \
     74        -I`$(CYGPATH_W) $(srcdir)/cut/crossconv` \
     75        -I`$(CYGPATH_W) $(srcdir)/bound_tightening` \
     76        -I`$(CYGPATH_W) $(srcdir)/bound_tightening/twoImpliedBT` \
     77       $(COUENNELIB_CFLAGS)
    5478
    55 # AM_CPPFLAGS = \
    56 #       -I`$(CYGPATH_W) $(srcdir)/convex` \
    57 #       -I`$(CYGPATH_W) $(srcdir)/interfaces` \
    58 #       -I`$(CYGPATH_W) $(srcdir)/heuristics` \
    59 #       -I`$(CYGPATH_W) $(srcdir)/expression` \
    60 #       -I`$(CYGPATH_W) $(srcdir)/expression/operators` \
    61 #       -I`$(CYGPATH_W) $(srcdir)/disjunctive` \
    62 #       -I`$(CYGPATH_W) $(srcdir)/main` \
    63 #       -I`$(CYGPATH_W) $(srcdir)/problem` \
    64 #       -I`$(CYGPATH_W) $(srcdir)/branch` \
    65 #       -I`$(CYGPATH_W) $(srcdir)/cut/sdpcuts` \
    66 #       -I`$(CYGPATH_W) $(srcdir)/cut/crossconv` \
    67 #       -I`$(CYGPATH_W) $(srcdir)/two_implied_bt` \
    68 #       $(COUENNELIB_CFLAGS)
    69 
     79#       -I`$(CYGPATH_W) $(srcdir)/two_implied_bt` \
    7080#       -I`$(CYGPATH_W) $(srcdir)/ellipcuts`
    7181
  • trunk/Couenne/src/Makefile.in

    r1010 r1023  
    4747build_triplet = @build@
    4848host_triplet = @host@
     49@DEPENDENCY_LINKING_TRUE@am__append_1 = $(COUENNELIB_LIBS)
    4950
    5051# cut/sdpcuts/dsyevx_wrapper.hpp
     
    5556
    5657# ellipcuts/CouenneEllipCuts.hpp
    57 @COIN_HAS_NTY_TRUE@am__append_1 = branch/Nauty.h
     58@COIN_HAS_NTY_TRUE@am__append_2 = branch/Nauty.h
    5859subdir = src
    5960DIST_COMMON = $(am__includecoin_HEADERS_DIST) $(srcdir)/Makefile.am \
     
    7778libLTLIBRARIES_INSTALL = $(INSTALL)
    7879LTLIBRARIES = $(lib_LTLIBRARIES)
    79 am_libCouenne_la_OBJECTS =
     80am__DEPENDENCIES_1 = ./interfaces/libCouenneInterfaces.la \
     81        ./heuristics/libCouenneHeuristics.la \
     82        ./problem/libCouenneProblem.la \
     83        ./standardize/libCouenneStandardize.la \
     84        ./expression/libCouenneExpression.la \
     85        ./branch/libCouenneBranch.la ./convex/libCouenneConvex.la \
     86        ./bound_tightening/libCouenneBoundTightening.la \
     87        ./bound_tightening/twoImpliedBT/libCouenneTwoImplied.la \
     88        ./util/libCouenneUtil.la \
     89        ./disjunctive/libCouenneDisjunctive.la \
     90        ./cut/crossconv/libCouenneCrossConv.la \
     91        ./cut/sdpcuts/libCouenneSdpCuts.la
     92am__DEPENDENCIES_2 =
     93@DEPENDENCY_LINKING_TRUE@am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2)
     94am_libCouenne_la_OBJECTS = CouenneBab.lo BonCouenneSetup.lo \
     95        SmartAslDestr.lo
    8096libCouenne_la_OBJECTS = $(am_libCouenne_la_OBJECTS)
    81 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    82         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    83 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
     97depcomp = $(SHELL) $(top_srcdir)/depcomp
     98am__depfiles_maybe = depfiles
     99CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
     100        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
     101LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
    84102        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    85         $(AM_CFLAGS) $(CFLAGS)
    86 CCLD = $(CC)
    87 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    88         $(AM_LDFLAGS) $(LDFLAGS) -o $@
     103        $(AM_CXXFLAGS) $(CXXFLAGS)
     104CXXLD = $(CXX)
     105CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
     106        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
    89107SOURCES = $(libCouenne_la_SOURCES)
    90108DIST_SOURCES = $(libCouenne_la_SOURCES)
     
    248266DEFS = @DEFS@
    249267DEPDIR = @DEPDIR@
     268DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     269DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    250270ECHO = @ECHO@
    251271ECHO_C = @ECHO_C@
     
    399419# in the 'lib' directory
    400420lib_LTLIBRARIES = libCouenne.la
    401 libCouenne_la_SOURCES =
    402 libCouenne_la_LIBADD = \
     421
     422# List all source files, including headers
     423libCouenne_la_SOURCES = \
     424        main/CouenneBab.cpp \
     425        main/BonCouenneSetup.cpp \
     426        main/SmartAslDestr.cpp
     427
     428
     429# List all additionally required libraries
     430libCouenne_la_LIBADD = $(libCouenne_la_DEPENDENCIES) $(am__append_1)
     431
     432# List all dependency libraries
     433libCouenne_la_DEPENDENCIES = \
    403434        ./interfaces/libCouenneInterfaces.la \
    404435        ./heuristics/libCouenneHeuristics.la \
     
    418449#       ./ellipcuts/libCouenneEllipCuts.la
    419450#       ./readnl/libCouenneReadnl.la
    420 libCouenne_la_DEPENDENCIES = $(libCouenne_la_LIBADD)
    421451
    422452# This is for libtool
     
    429459# Here list all include flags, relative to this "srcdir" directory.  This
    430460# "cygpath" stuff is necessary to compile with native compilers on Windows.
    431 AM_CPPFLAGS =
    432 
    433 # AM_CPPFLAGS = \
    434 #       -I`$(CYGPATH_W) $(srcdir)/convex` \
    435 #       -I`$(CYGPATH_W) $(srcdir)/interfaces` \
    436 #       -I`$(CYGPATH_W) $(srcdir)/heuristics` \
    437 #       -I`$(CYGPATH_W) $(srcdir)/expression` \
    438 #       -I`$(CYGPATH_W) $(srcdir)/expression/operators` \
    439 #       -I`$(CYGPATH_W) $(srcdir)/disjunctive` \
    440 #       -I`$(CYGPATH_W) $(srcdir)/main` \
    441 #       -I`$(CYGPATH_W) $(srcdir)/problem` \
    442 #       -I`$(CYGPATH_W) $(srcdir)/branch` \
    443 #       -I`$(CYGPATH_W) $(srcdir)/cut/sdpcuts` \
    444 #       -I`$(CYGPATH_W) $(srcdir)/cut/crossconv` \
    445 #       -I`$(CYGPATH_W) $(srcdir)/two_implied_bt` \
    446 #       $(COUENNELIB_CFLAGS)
    447 
     461AM_CPPFLAGS = \
     462        -I`$(CYGPATH_W) $(srcdir)/convex` \
     463        -I`$(CYGPATH_W) $(srcdir)/interfaces` \
     464        -I`$(CYGPATH_W) $(srcdir)/heuristics` \
     465        -I`$(CYGPATH_W) $(srcdir)/expression` \
     466        -I`$(CYGPATH_W) $(srcdir)/expression/operators` \
     467        -I`$(CYGPATH_W) $(srcdir)/expression/partial` \
     468        -I`$(CYGPATH_W) $(srcdir)/disjunctive` \
     469        -I`$(CYGPATH_W) $(srcdir)/main` \
     470        -I`$(CYGPATH_W) $(srcdir)/problem` \
     471        -I`$(CYGPATH_W) $(srcdir)/branch` \
     472        -I`$(CYGPATH_W) $(srcdir)/cut/sdpcuts` \
     473        -I`$(CYGPATH_W) $(srcdir)/cut/crossconv` \
     474        -I`$(CYGPATH_W) $(srcdir)/bound_tightening` \
     475        -I`$(CYGPATH_W) $(srcdir)/bound_tightening/twoImpliedBT` \
     476       $(COUENNELIB_CFLAGS)
     477
     478
     479#       -I`$(CYGPATH_W) $(srcdir)/two_implied_bt` \
    448480#       -I`$(CYGPATH_W) $(srcdir)/ellipcuts`
    449481
     
    521553        cut/sdpcuts/CouenneSdpCuts.hpp cut/sdpcuts/CouennePSDcon.hpp \
    522554        cut/sdpcuts/CouenneMatrix.hpp \
    523         cut/crossconv/CouenneCrossConv.hpp $(am__append_1)
     555        cut/crossconv/CouenneCrossConv.hpp $(am__append_2)
    524556all: config.h config_couenne.h
    525557        $(MAKE) $(AM_MAKEFLAGS) all-am
    526558
    527559.SUFFIXES:
     560.SUFFIXES: .cpp .lo .o .obj
    528561$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
    529562        @for dep in $?; do \
     
    610643        done
    611644libCouenne.la: $(libCouenne_la_OBJECTS) $(libCouenne_la_DEPENDENCIES)
    612         $(LINK) -rpath $(libdir) $(libCouenne_la_LDFLAGS) $(libCouenne_la_OBJECTS) $(libCouenne_la_LIBADD) $(LIBS)
     645        $(CXXLINK) -rpath $(libdir) $(libCouenne_la_LDFLAGS) $(libCouenne_la_OBJECTS) $(libCouenne_la_LIBADD) $(LIBS)
    613646
    614647mostlyclean-compile:
     
    617650distclean-compile:
    618651        -rm -f *.tab.c
     652
     653@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonCouenneSetup.Plo@am__quote@
     654@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CouenneBab.Plo@am__quote@
     655@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SmartAslDestr.Plo@am__quote@
     656
     657.cpp.o:
     658@am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     659@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     660@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
     661@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     662@am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
     663
     664.cpp.obj:
     665@am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     666@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     667@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
     668@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     669@am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
     670
     671.cpp.lo:
     672@am__fastdepCXX_TRUE@   if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     673@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     674@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
     675@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     676@am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
     677
     678CouenneBab.lo: main/CouenneBab.cpp
     679@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT CouenneBab.lo -MD -MP -MF "$(DEPDIR)/CouenneBab.Tpo" -c -o CouenneBab.lo `test -f 'main/CouenneBab.cpp' || echo '$(srcdir)/'`main/CouenneBab.cpp; \
     680@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/CouenneBab.Tpo" "$(DEPDIR)/CouenneBab.Plo"; else rm -f "$(DEPDIR)/CouenneBab.Tpo"; exit 1; fi
     681@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='main/CouenneBab.cpp' object='CouenneBab.lo' libtool=yes @AMDEPBACKSLASH@
     682@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     683@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o CouenneBab.lo `test -f 'main/CouenneBab.cpp' || echo '$(srcdir)/'`main/CouenneBab.cpp
     684
     685BonCouenneSetup.lo: main/BonCouenneSetup.cpp
     686@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT BonCouenneSetup.lo -MD -MP -MF "$(DEPDIR)/BonCouenneSetup.Tpo" -c -o BonCouenneSetup.lo `test -f 'main/BonCouenneSetup.cpp' || echo '$(srcdir)/'`main/BonCouenneSetup.cpp; \
     687@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/BonCouenneSetup.Tpo" "$(DEPDIR)/BonCouenneSetup.Plo"; else rm -f "$(DEPDIR)/BonCouenneSetup.Tpo"; exit 1; fi
     688@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='main/BonCouenneSetup.cpp' object='BonCouenneSetup.lo' libtool=yes @AMDEPBACKSLASH@
     689@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     690@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o BonCouenneSetup.lo `test -f 'main/BonCouenneSetup.cpp' || echo '$(srcdir)/'`main/BonCouenneSetup.cpp
     691
     692SmartAslDestr.lo: main/SmartAslDestr.cpp
     693@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SmartAslDestr.lo -MD -MP -MF "$(DEPDIR)/SmartAslDestr.Tpo" -c -o SmartAslDestr.lo `test -f 'main/SmartAslDestr.cpp' || echo '$(srcdir)/'`main/SmartAslDestr.cpp; \
     694@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/SmartAslDestr.Tpo" "$(DEPDIR)/SmartAslDestr.Plo"; else rm -f "$(DEPDIR)/SmartAslDestr.Tpo"; exit 1; fi
     695@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='main/SmartAslDestr.cpp' object='SmartAslDestr.lo' libtool=yes @AMDEPBACKSLASH@
     696@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     697@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SmartAslDestr.lo `test -f 'main/SmartAslDestr.cpp' || echo '$(srcdir)/'`main/SmartAslDestr.cpp
    619698
    620699mostlyclean-libtool:
     
    758837
    759838distclean: distclean-am
     839        -rm -rf ./$(DEPDIR)
    760840        -rm -f Makefile
    761841distclean-am: clean-am distclean-compile distclean-generic \
     
    783863
    784864maintainer-clean: maintainer-clean-am
     865        -rm -rf ./$(DEPDIR)
    785866        -rm -f Makefile
    786867maintainer-clean-am: distclean-am maintainer-clean-generic
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r1010 r1023  
    173173DEFS = @DEFS@
    174174DEPDIR = @DEPDIR@
     175DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     176DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    175177ECHO = @ECHO@
    176178ECHO_C = @ECHO_C@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r1010 r1023  
    167167DEFS = @DEFS@
    168168DEPDIR = @DEPDIR@
     169DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     170DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    169171ECHO = @ECHO@
    170172ECHO_C = @ECHO_C@
  • trunk/Couenne/src/branch/Makefile.in

    r1010 r1023  
    184184DEFS = @DEFS@
    185185DEPDIR = @DEPDIR@
     186DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     187DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    186188ECHO = @ECHO@
    187189ECHO_C = @ECHO_C@
  • trunk/Couenne/src/convex/Makefile.in

    r1010 r1023  
    168168DEFS = @DEFS@
    169169DEPDIR = @DEPDIR@
     170DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     171DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    170172ECHO = @ECHO@
    171173ECHO_C = @ECHO_C@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r1010 r1023  
    164164DEFS = @DEFS@
    165165DEPDIR = @DEPDIR@
     166DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     167DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    166168ECHO = @ECHO@
    167169ECHO_C = @ECHO_C@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r1010 r1023  
    165165DEFS = @DEFS@
    166166DEPDIR = @DEPDIR@
     167DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     168DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    167169ECHO = @ECHO@
    168170ECHO_C = @ECHO_C@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r1010 r1023  
    167167DEFS = @DEFS@
    168168DEPDIR = @DEPDIR@
     169DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     170DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    169171ECHO = @ECHO@
    170172ECHO_C = @ECHO_C@
  • trunk/Couenne/src/expression/Makefile.in

    r1010 r1023  
    183183DEFS = @DEFS@
    184184DEPDIR = @DEPDIR@
     185DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     186DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    185187ECHO = @ECHO@
    186188ECHO_C = @ECHO_C@
  • trunk/Couenne/src/heuristics/Makefile.in

    r1010 r1023  
    180180DEFS = @DEFS@
    181181DEPDIR = @DEPDIR@
     182DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     183DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    182184ECHO = @ECHO@
    183185ECHO_C = @ECHO_C@
  • trunk/Couenne/src/interfaces/Makefile.in

    r1010 r1023  
    165165DEFS = @DEFS@
    166166DEPDIR = @DEPDIR@
     167DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     168DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    167169ECHO = @ECHO@
    168170ECHO_C = @ECHO_C@
  • trunk/Couenne/src/main/Makefile.am

    r1012 r1023  
    1717        BonCouenneSetup.cpp \
    1818        SmartAslDestr.cpp
     19
     20if DEPENDENCY_LINKING
     21libBonCouenne_la_LIBADD = $(COUENNELIB_LIBS) ../libCouenne.la
     22endif
    1923
    2024libBonCouenne_la_LDFLAGS = $(LT_LDFLAGS)
  • trunk/Couenne/src/main/Makefile.in

    r1010 r1023  
    6868libLTLIBRARIES_INSTALL = $(INSTALL)
    6969LTLIBRARIES = $(lib_LTLIBRARIES)
    70 libBonCouenne_la_LIBADD =
     70am__DEPENDENCIES_1 =
     71@DEPENDENCY_LINKING_TRUE@libBonCouenne_la_DEPENDENCIES =  \
     72@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1) \
     73@DEPENDENCY_LINKING_TRUE@       ../libCouenne.la
    7174am_libBonCouenne_la_OBJECTS = CouenneBab.lo BonCouenneSetup.lo \
    7275        SmartAslDestr.lo
     
    7679am_couenne_OBJECTS = BonCouenne.$(OBJEXT)
    7780couenne_OBJECTS = $(am_couenne_OBJECTS)
    78 am__DEPENDENCIES_1 =
    7981depcomp = $(SHELL) $(top_srcdir)/depcomp
    8082am__depfiles_maybe = depfiles
     
    182184DEFS = @DEFS@
    183185DEPDIR = @DEPDIR@
     186DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     187DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    184188ECHO = @ECHO@
    185189ECHO_C = @ECHO_C@
     
    333337        SmartAslDestr.cpp
    334338
     339@DEPENDENCY_LINKING_TRUE@libBonCouenne_la_LIBADD = $(COUENNELIB_LIBS) ../libCouenne.la
     340libBonCouenne_la_LDFLAGS = $(LT_LDFLAGS)
    335341couenne_SOURCES = BonCouenne.cpp
    336342couenne_LDADD = libBonCouenne.la ../libCouenne.la ../readnl/libCouenneReadnl.la $(COUENNELIB_LIBS)         $(ASL_LIBS)
  • trunk/Couenne/src/problem/Makefile.in

    r1010 r1023  
    202202DEFS = @DEFS@
    203203DEPDIR = @DEPDIR@
     204DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     205DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    204206ECHO = @ECHO@
    205207ECHO_C = @ECHO_C@
  • trunk/Couenne/src/readnl/Makefile.am

    r786 r1023  
    1616#       invmap.cpp \
    1717#       readASLfg.cpp
     18
     19# List all additionally required libraries
     20if DEPENDENCY_LINKING
     21libCouenneReadnl_la_LIBADD = $(COUENNELIB_LIBS) ../libCouenne.la
     22endif
    1823
    1924# This is for libtool
  • trunk/Couenne/src/readnl/Makefile.in

    r1010 r1023  
    6363libLTLIBRARIES_INSTALL = $(INSTALL)
    6464LTLIBRARIES = $(lib_LTLIBRARIES)
    65 libCouenneReadnl_la_LIBADD =
     65am__DEPENDENCIES_1 =
     66@DEPENDENCY_LINKING_TRUE@libCouenneReadnl_la_DEPENDENCIES =  \
     67@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1) \
     68@DEPENDENCY_LINKING_TRUE@       ../libCouenne.la
    6669am_libCouenneReadnl_la_OBJECTS = CouenneAmplInterface.lo
    6770libCouenneReadnl_la_OBJECTS = $(am_libCouenneReadnl_la_OBJECTS)
     
    171174DEFS = @DEFS@
    172175DEPDIR = @DEPDIR@
     176DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     177DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    173178ECHO = @ECHO@
    174179ECHO_C = @ECHO_C@
     
    324329#       readASLfg.cpp
    325330
     331# List all additionally required libraries
     332@DEPENDENCY_LINKING_TRUE@libCouenneReadnl_la_LIBADD = $(COUENNELIB_LIBS) ../libCouenne.la
     333
    326334# This is for libtool
    327335libCouenneReadnl_la_LDFLAGS = $(LT_LDFLAGS)
  • trunk/Couenne/src/standardize/Makefile.in

    r1010 r1023  
    167167DEFS = @DEFS@
    168168DEPDIR = @DEPDIR@
     169DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     170DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    169171ECHO = @ECHO@
    170172ECHO_C = @ECHO_C@
  • trunk/Couenne/src/util/Makefile.in

    r1010 r1023  
    164164DEFS = @DEFS@
    165165DEPDIR = @DEPDIR@
     166DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     167DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    166168ECHO = @ECHO@
    167169ECHO_C = @ECHO_C@
  • trunk/Couenne/test/Makefile.in

    r1010 r1023  
    147147DEFS = @DEFS@
    148148DEPDIR = @DEPDIR@
     149DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     150DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    149151ECHO = @ECHO@
    150152ECHO_C = @ECHO_C@
Note: See TracChangeset for help on using the changeset viewer.